Skip to main content
GET
/
videos
/
{jobId}
Poll video generation status
curl --request GET \
  --url https://openrouter.ai/api/v1/videos/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "generation_id": "gen-xyz789",
  "id": "job-abc123",
  "polling_url": "/api/v1/videos/job-abc123",
  "status": "completed",
  "unsigned_urls": [
    "https://storage.example.com/video.mp4"
  ],
  "usage": {
    "cost": 0.5
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

jobId
string
required
Minimum string length: 1
Example:

"job-abc123"

Response

Video generation status

id
string
required
polling_url
string
required
status
enum<string>
required
Available options:
pending,
in_progress,
completed,
failed,
cancelled,
expired
error
string
generation_id
string

The generation ID associated with this video generation job. Available once the job has been processed.

unsigned_urls
string[]
usage
object

Usage and cost information for the video generation. Available once the job has completed.

Example:
{ "cost": 0.5, "is_byok": false }